﻿using System.Collections.Generic;

namespace ViewModels
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class ChannelViewModel : ViewModelBase.ViewModelBase
    {
        /// <summary>
        /// The channel name.
        /// </summary>
        private string _name;

        /// <summary>
        /// The list of parameters.
        /// </summary>
        private Dictionary<string, ParameterViewModel> _parameters;

        /// <summary>
        /// Initializes a new instance of the <see cref="ChannelViewModel"/> class.
        /// </summary>
        public ChannelViewModel()
        {
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get
            {
                return _name;
            }

            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }

        /// <summary>
        /// Gets or sets the parameters.
        /// </summary>
        /// <value>The parameters.</value>
        public Dictionary<string, ParameterViewModel> Parameters
        {
            get
            {
                return _parameters;
            }

            set
            {
                _parameters = value;
                OnPropertyChanged("Parameters");
            }
        }
    }
}
